projects
/
rrq
/
hourglass.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
10d5ff6
)
added some (half good) install magic
author
Ralph Ronnquist
<ralph.ronnquist@gmail.com>
Sat, 1 Jan 2022 12:28:23 +0000
(23:28 +1100)
committer
Ralph Ronnquist
<ralph.ronnquist@gmail.com>
Sat, 1 Jan 2022 12:28:23 +0000
(23:28 +1100)
run-manager.sh
patch
|
blob
|
history
diff --git
a/run-manager.sh
b/run-manager.sh
index f4743563ead848918654774328d7dbe98e9d4937..a7b3c32e6807bfaf3284fbc66c7f9817ba3d114d 100755
(executable)
--- a/
run-manager.sh
+++ b/
run-manager.sh
@@
-1,3
+1,14
@@
#!/bin/bash
-( nohup newlisp -http -d 1070 -w manager/www & )
+function die() {
+ echo "$*" >&2
+ exit 1
+}
+
+SERVICE=manager/hourglass-web
+
+[ -f "$SERVICE" ] || die "** missing $SERVICE ** aborting"
+
+[ -d www ] || $SERVICE install || die "Cannot install www service"
+
+( nohup newlisp -http -d 1070 -w www & )